<div class="wrap">
    <h1>LINEシェアボタン設定</h1>
    <p><strong>ショートコード:</strong> 投稿やページ内に <code>[line_share_button]</code> を貼り付けてください。</p>
    <p style="color: #cc0000;"><strong>※注意:</strong> Safariや一部の広告ブロッカーを使用している環境では、ボタンが非表示になる場合があります。</p>
    <form method="post" action="options.php">
        <?php settings_fields('lsb_settings_group'); $options = get_option('lsb_settings'); ?>
        <h2>ボタンのデザイン</h2>
        <table class="form-table">
            <tr><th>ボタンの文言</th><td><input type="text" name="lsb_settings[button_text]" value="<?php echo esc_attr($options['button_text'] ?? 'このページをLINEで紹介する'); ?>" /></td></tr>
            <tr><th>背景色</th><td><input type="text" name="lsb_settings[bg_color]" value="<?php echo esc_attr($options['bg_color'] ?? '#00c300'); ?>" /></td></tr>
            <tr><th>文字色</th><td><input type="text" name="lsb_settings[text_color]" value="<?php echo esc_attr($options['text_color'] ?? '#ffffff'); ?>" /></td></tr>
        </table>
        <h2>フォント設定</h2>
        <table class="form-table">
            <tr><th>フォント</th>
                <td>
                    <select name="lsb_settings[font_family]">
<option value="inherit" <?php selected($options['font_family'] ?? '', 'inherit'); ?>>デフォルト（テーマに従う）</option>
<option value="Noto Sans JP" <?php selected($options['font_family'] ?? '', 'Noto Sans JP'); ?>>Noto Sans JP（ベーシックなゴシック体）</option>
<option value="M PLUS Rounded 1c" <?php selected($options['font_family'] ?? '', 'M PLUS Rounded 1c'); ?>>M PLUS Rounded 1c（柔らかい丸文字）</option>
<option value="Noto Serif JP" <?php selected($options['font_family'] ?? '', 'Noto Serif JP'); ?>>Noto Serif JP（明朝体）</option>
<option value="Kosugi Maru" <?php selected($options['font_family'] ?? '', 'Kosugi Maru'); ?>>Kosugi Maru（丸ゴシック）</option>
<option value="Kosugi" <?php selected($options['font_family'] ?? '', 'Kosugi'); ?>>Kosugi（読みやすいゴシック体）</option>
<option value="Yuji Syuku" <?php selected($options['font_family'] ?? '', 'Yuji Syuku'); ?>>Yuji Syuku（上品な手書き風）</option>
<option value="Yusei Magic" <?php selected($options['font_family'] ?? '', 'Yusei Magic'); ?>>Yusei Magic（やさしい手書き風）</option>
</select>
                </td>
            </tr>
            <tr><th>フォントサイズ（PC）</th><td><input type="text" name="lsb_settings[font_size_pc]" value="<?php echo esc_attr($options['font_size_pc'] ?? '16px'); ?>" /></td></tr>
            <tr><th>フォントサイズ（タブレット）</th><td><input type="text" name="lsb_settings[font_size_tab]" value="<?php echo esc_attr($options['font_size_tab'] ?? '16px'); ?>" /></td></tr>
            <tr><th>フォントサイズ（スマホ）</th><td><input type="text" name="lsb_settings[font_size_sp]" value="<?php echo esc_attr($options['font_size_sp'] ?? '16px'); ?>" /></td></tr>
        </table>
        <h2>余白と配置</h2>
        <table class="form-table">
            <tr><th>内側余白（上）</th><td><input type="text" name="lsb_settings[padding_top]" value="<?php echo esc_attr($options['padding_top'] ?? '10px'); ?>" /></td></tr>
            <tr><th>内側余白（下）</th><td><input type="text" name="lsb_settings[padding_bottom]" value="<?php echo esc_attr($options['padding_bottom'] ?? '10px'); ?>" /></td></tr>
            <tr><th>内側余白（左）</th><td><input type="text" name="lsb_settings[padding_left]" value="<?php echo esc_attr($options['padding_left'] ?? '20px'); ?>" /></td></tr>
            <tr><th>内側余白（右）</th><td><input type="text" name="lsb_settings[padding_right]" value="<?php echo esc_attr($options['padding_right'] ?? '20px'); ?>" /></td></tr>
            <tr><th>外側余白（上）</th><td><input type="text" name="lsb_settings[margin_top]" value="<?php echo esc_attr($options['margin_top'] ?? '10px'); ?>" /></td></tr>
            <tr><th>外側余白（下）</th><td><input type="text" name="lsb_settings[margin_bottom]" value="<?php echo esc_attr($options['margin_bottom'] ?? '10px'); ?>" /></td></tr>
            <tr><th>外側余白（左）</th><td><input type="text" name="lsb_settings[margin_left]" value="<?php echo esc_attr($options['margin_left'] ?? '0px'); ?>" /></td></tr>
            <tr><th>外側余白（右）</th><td><input type="text" name="lsb_settings[margin_right]" value="<?php echo esc_attr($options['margin_right'] ?? '0px'); ?>" /></td></tr>
            <tr><th>ボタンの位置</th>
                <td>
                    <select name="lsb_settings[text_align]">
                        <option value="flex-start" <?php selected($options['text_align'] ?? '', 'flex-start'); ?>>左寄せ</option>
                        <option value="center" <?php selected($options['text_align'] ?? '', 'center'); ?>>中央寄せ</option>
                        <option value="flex-end" <?php selected($options['text_align'] ?? '', 'flex-end'); ?>>右寄せ</option>
                    </select>
                </td>
            </tr>
</table>
        <?php submit_button(); ?>
    </form>
</div>
